org.eclipse.lyo.client.oslc

## Interface OSLCConstants

-     public interface OSLCConstants

  General OSLC constants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AM_LINK_TYPE_TYPE`
    `static String` | `AM_RESOURCE_TYPE`
    `static String` | `ATOM`
    `static String` | `CM_APPROVED_PROP`
    `static String` | `CM_CHANGE_REQUEST_TYPE`
    `static String` | `CM_CLOSE_DATE_PROP`
    `static String` | `CM_CLOSED_PROP`
    `static String` | `CM_FIXED_PROP`
    `static String` | `CM_INPROGRESS_PROP`
    `static String` | `CM_REVIEWED_PROP`
    `static String` | `CM_STATUS_PROP`
    `static String` | `CM_VERIFIED_PROP`
    `static String` | `CORE_DEFAULT`
    `static String` | `CREATION_PROP`
    `static String` | `CT_ATOM`
    `static String` | `CT_CR_JSON`
    `static String` | `CT_CR_QUERY`
    `static String` | `CT_CR_XML`
    `static String` | `CT_DISC_CAT_XML`
    `static String` | `CT_DISC_DESC_XML`
    `static String` | `CT_JSON`
    `static String` | `CT_RDF`
    `static String` | `CT_XML`
    `static String` | `DC`
    `static String` | `DC_CREATED_PROP`
    `static String` | `DC_DESC_PROP`
    `static String` | `DC_ID_PROP`
    `static String` | `DC_MODIFIED_PROP`
    `static String` | `DC_NAME_PROP`
    `static String` | `DC_PUBLISHER_PROP`
    `static String` | `DC_TITLE_PROP`
    `static String` | `DC_TYPE_PROP`
    `static String` | `DCTERMS`
    `static String` | `DCTERMS_CREATED`
    `static String` | `DCTERMS_DESC`
    `static String` | `DCTERMS_ID`
    `static String` | `DCTERMS_MODIFIED`
    `static String` | `DCTERMS_NAME`
    `static String` | `DCTERMS_PUBLISHER`
    `static String` | `DCTERMS_TITLE`
    `static String` | `DCTERMS_TYPE`
    `static String` | `DESCRIPTION_PROP`
    `static String` | `DISCUSSION_PROP`
    `static String` | `ETAG`
    `static String` | `INST_SHAPE_PROP`
    `static String` | `JENA_RDF_XML`
    `static String` | `OSLC_AM_V2`
    `static String` | `OSLC_ASSET_V2`
    `static String` | `OSLC_AUTO`
    `static String` | `OSLC_CM`
    `static String` | `OSLC_CM_V2`
    `static String` | `OSLC_CORE_VERSION`
    `static String` | `OSLC_DISC`
    `static String` | `OSLC_QM`
    `static String` | `OSLC_QM_V2`
    `static String` | `OSLC_RM`
    `static String` | `OSLC_RM_V2`
    `static String` | `OSLC_V2`
    `static String` | `POST`
    `static String` | `QM_TEST_CASE`
    `static String` | `QM_TEST_CASE_QUERY` Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
    `static String` | `QM_TEST_EXECUTION_RECORD`
    `static String` | `QM_TEST_EXECUTION_RECORD_QUERY` Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
    `static String` | `QM_TEST_PLAN`
    `static String` | `QM_TEST_PLAN_QUERY` Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
    `static String` | `QM_TEST_RESULT`
    `static String` | `QM_TEST_RESULT_QUERY` Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
    `static String` | `QM_TEST_SCRIPT`
    `static String` | `QM_TEST_SCRIPT_QUERY` Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
    `static String` | `QUERY_BASE_PROP`
    `static String` | `QUERY_CAPABILITY_PROP`
    `static String` | `RDF`
    `static String` | `RDF_TYPE_PROP`
    `static String` | `RDFS`
    `static String` | `RDFS_MEMBER`
    `static String` | `RESOURCE_SHAPE_PROP`
    `static String` | `RESOURCE_TYPE_PROP`
    `static String` | `RESP_INFO_TYPE`
    `static String` | `RFC_DATE_FORMAT`
    `static String` | `RM_REQUIREMENT_COLLECTION_TYPE`
    `static String` | `RM_REQUIREMENT_TYPE`
    `static String` | `SERVICE_PROP`
    `static String` | `SERVICE_PROVIDER_CATALOG_PROP`
    `static String` | `SERVICE_PROVIDER_CATALOG_TYPE`
    `static String` | `SERVICE_PROVIDER_PROP`
    `static String` | `SERVICE_PROVIDER_TYPE`
    `static String` | `SSL`
    `static String` | `TOTAL_COUNT_PROP`
    `static String` | `USAGE_DEFAULT_URI`
    `static String` | `USAGE_PROP`

- - ### Field Detail

    - #### RFC_DATE_FORMAT

          static final String RFC_DATE_FORMAT

      See Also:
        Constant Field Values

    - #### DC

          static final String DC

      See Also:
        Constant Field Values

    - #### DCTERMS

          static final String DCTERMS

      See Also:
        Constant Field Values

    - #### RDF

          static final String RDF

      See Also:
        Constant Field Values

    - #### RDFS

          static final String RDFS

      See Also:
        Constant Field Values

    - #### ATOM

          static final String ATOM

      See Also:
        Constant Field Values

    - #### OSLC_V2

          static final String OSLC_V2

      See Also:
        Constant Field Values

    - #### CORE_DEFAULT

          static final String CORE_DEFAULT

      See Also:
        Constant Field Values

    - #### OSLC_CM_V2

          static final String OSLC_CM_V2

      See Also:
        Constant Field Values

    - #### OSLC_AM_V2

          static final String OSLC_AM_V2

      See Also:
        Constant Field Values

    - #### OSLC_ASSET_V2

          static final String OSLC_ASSET_V2

      See Also:
        Constant Field Values

    - #### OSLC_QM_V2

          static final String OSLC_QM_V2

      See Also:
        Constant Field Values

    - #### OSLC_RM_V2

          static final String OSLC_RM_V2

      See Also:
        Constant Field Values

    - #### OSLC_AUTO

          static final String OSLC_AUTO

      See Also:
        Constant Field Values

    - #### OSLC_DISC

          static final String OSLC_DISC

      See Also:
        Constant Field Values

    - #### OSLC_CM

          static final String OSLC_CM

      See Also:
        Constant Field Values

    - #### OSLC_QM

          static final String OSLC_QM

      See Also:
        Constant Field Values

    - #### OSLC_RM

          static final String OSLC_RM

      See Also:
        Constant Field Values

    - #### CT_XML

          static final String CT_XML

      See Also:
        Constant Field Values

    - #### CT_RDF

          static final String CT_RDF

      See Also:
        Constant Field Values

    - #### CT_JSON

          static final String CT_JSON

      See Also:
        Constant Field Values

    - #### CT_ATOM

          static final String CT_ATOM

      See Also:
        Constant Field Values

    - #### CT_CR_XML

          static final String CT_CR_XML

      See Also:
        Constant Field Values

    - #### CT_CR_JSON

          static final String CT_CR_JSON

      See Also:
        Constant Field Values

    - #### CT_CR_QUERY

          static final String CT_CR_QUERY

      See Also:
        Constant Field Values

    - #### CT_DISC_CAT_XML

          static final String CT_DISC_CAT_XML

      See Also:
        Constant Field Values

    - #### CT_DISC_DESC_XML

          static final String CT_DISC_DESC_XML

      See Also:
        Constant Field Values

    - #### OSLC_CORE_VERSION

          static final String OSLC_CORE_VERSION

      See Also:
        Constant Field Values

    - #### ETAG

          static final String ETAG

      See Also:
        Constant Field Values

    - #### POST

          static final String POST

      See Also:
        Constant Field Values

    - #### SSL

          static final String SSL

      See Also:
        Constant Field Values

    - #### JENA_RDF_XML

          static final String JENA_RDF_XML

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_PROP

          static final String SERVICE_PROVIDER_PROP

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_TYPE

          static final String SERVICE_PROVIDER_TYPE

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_CATALOG_PROP

          static final String SERVICE_PROVIDER_CATALOG_PROP

      See Also:
        Constant Field Values

    - #### SERVICE_PROVIDER_CATALOG_TYPE

          static final String SERVICE_PROVIDER_CATALOG_TYPE

      See Also:
        Constant Field Values

    - #### CREATION_PROP

          static final String CREATION_PROP

      See Also:
        Constant Field Values

    - #### QUERY_CAPABILITY_PROP

          static final String QUERY_CAPABILITY_PROP

      See Also:
        Constant Field Values

    - #### QUERY_BASE_PROP

          static final String QUERY_BASE_PROP

      See Also:
        Constant Field Values

    - #### RESP_INFO_TYPE

          static final String RESP_INFO_TYPE

      See Also:
        Constant Field Values

    - #### SERVICE_PROP

          static final String SERVICE_PROP

      See Also:
        Constant Field Values

    - #### DISCUSSION_PROP

          static final String DISCUSSION_PROP

      See Also:
        Constant Field Values

    - #### INST_SHAPE_PROP

          static final String INST_SHAPE_PROP

      See Also:
        Constant Field Values

    - #### USAGE_PROP

          static final String USAGE_PROP

      See Also:
        Constant Field Values

    - #### USAGE_DEFAULT_URI

          static final String USAGE_DEFAULT_URI

      See Also:
        Constant Field Values

    - #### TOTAL_COUNT_PROP

          static final String TOTAL_COUNT_PROP

      See Also:
        Constant Field Values

    - #### RESOURCE_TYPE_PROP

          static final String RESOURCE_TYPE_PROP

      See Also:
        Constant Field Values

    - #### RESOURCE_SHAPE_PROP

          static final String RESOURCE_SHAPE_PROP

      See Also:
        Constant Field Values

    - #### DESCRIPTION_PROP

          static final String DESCRIPTION_PROP

      See Also:
        Constant Field Values

    - #### CM_CHANGE_REQUEST_TYPE

          static final String CM_CHANGE_REQUEST_TYPE

      See Also:
        Constant Field Values

    - #### CM_CLOSE_DATE_PROP

          static final String CM_CLOSE_DATE_PROP

      See Also:
        Constant Field Values

    - #### CM_STATUS_PROP

          static final String CM_STATUS_PROP

      See Also:
        Constant Field Values

    - #### CM_CLOSED_PROP

          static final String CM_CLOSED_PROP

      See Also:
        Constant Field Values

    - #### CM_INPROGRESS_PROP

          static final String CM_INPROGRESS_PROP

      See Also:
        Constant Field Values

    - #### CM_FIXED_PROP

          static final String CM_FIXED_PROP

      See Also:
        Constant Field Values

    - #### CM_APPROVED_PROP

          static final String CM_APPROVED_PROP

      See Also:
        Constant Field Values

    - #### CM_REVIEWED_PROP

          static final String CM_REVIEWED_PROP

      See Also:
        Constant Field Values

    - #### CM_VERIFIED_PROP

          static final String CM_VERIFIED_PROP

      See Also:
        Constant Field Values

    - #### QM_TEST_PLAN

          static final String QM_TEST_PLAN

      See Also:
        Constant Field Values

    - #### QM_TEST_CASE

          static final String QM_TEST_CASE

      See Also:
        Constant Field Values

    - #### QM_TEST_SCRIPT

          static final String QM_TEST_SCRIPT

      See Also:
        Constant Field Values

    - #### QM_TEST_RESULT

          static final String QM_TEST_RESULT

      See Also:
        Constant Field Values

    - #### QM_TEST_EXECUTION_RECORD

          static final String QM_TEST_EXECUTION_RECORD

      See Also:
        Constant Field Values

    - #### QM_TEST_PLAN_QUERY

          @Deprecated
          static final String QM_TEST_PLAN_QUERY

      Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
      See Also:
        Constant Field Values

    - #### QM_TEST_CASE_QUERY

          @Deprecated
          static final String QM_TEST_CASE_QUERY

      Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
      See Also:
        Constant Field Values

    - #### QM_TEST_SCRIPT_QUERY

          @Deprecated
          static final String QM_TEST_SCRIPT_QUERY

      Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
      See Also:
        Constant Field Values

    - #### QM_TEST_RESULT_QUERY

          @Deprecated
          static final String QM_TEST_RESULT_QUERY

      Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
      See Also:
        Constant Field Values

    - #### QM_TEST_EXECUTION_RECORD_QUERY

          @Deprecated
          static final String QM_TEST_EXECUTION_RECORD_QUERY

      Deprecated. This is not part of the OSLC-QM 2.0 vocabulary.
      See Also:
        Constant Field Values

    - #### RM_REQUIREMENT_TYPE

          static final String RM_REQUIREMENT_TYPE

      See Also:
        Constant Field Values

    - #### RM_REQUIREMENT_COLLECTION_TYPE

          static final String RM_REQUIREMENT_COLLECTION_TYPE

      See Also:
        Constant Field Values

    - #### AM_RESOURCE_TYPE

          static final String AM_RESOURCE_TYPE

      See Also:
        Constant Field Values

    - #### AM_LINK_TYPE_TYPE

          static final String AM_LINK_TYPE_TYPE

      See Also:
        Constant Field Values

    - #### RDF_TYPE_PROP

          static final String RDF_TYPE_PROP

      See Also:
        Constant Field Values

    - #### RDFS_MEMBER

          static final String RDFS_MEMBER

      See Also:
        Constant Field Values

    - #### DC_TITLE_PROP

          static final String DC_TITLE_PROP

      See Also:
        Constant Field Values

    - #### DC_DESC_PROP

          static final String DC_DESC_PROP

      See Also:
        Constant Field Values

    - #### DC_TYPE_PROP

          static final String DC_TYPE_PROP

      See Also:
        Constant Field Values

    - #### DC_PUBLISHER_PROP

          static final String DC_PUBLISHER_PROP

      See Also:
        Constant Field Values

    - #### DC_ID_PROP

          static final String DC_ID_PROP

      See Also:
        Constant Field Values

    - #### DC_NAME_PROP

          static final String DC_NAME_PROP

      See Also:
        Constant Field Values

    - #### DC_CREATED_PROP

          static final String DC_CREATED_PROP

      See Also:
        Constant Field Values

    - #### DC_MODIFIED_PROP

          static final String DC_MODIFIED_PROP

      See Also:
        Constant Field Values

    - #### DCTERMS_TITLE

          static final String DCTERMS_TITLE

      See Also:
        Constant Field Values

    - #### DCTERMS_DESC

          static final String DCTERMS_DESC

      See Also:
        Constant Field Values

    - #### DCTERMS_TYPE

          static final String DCTERMS_TYPE

      See Also:
        Constant Field Values

    - #### DCTERMS_PUBLISHER

          static final String DCTERMS_PUBLISHER

      See Also:
        Constant Field Values

    - #### DCTERMS_ID

          static final String DCTERMS_ID

      See Also:
        Constant Field Values

    - #### DCTERMS_NAME

          static final String DCTERMS_NAME

      See Also:
        Constant Field Values

    - #### DCTERMS_CREATED

          static final String DCTERMS_CREATED

      See Also:
        Constant Field Values

    - #### DCTERMS_MODIFIED

          static final String DCTERMS_MODIFIED

      See Also:
        Constant Field Values

Copyright © 2016. All Rights Reserved.